Bug 750422 - (CVE-2011-4085) CVE-2011-4085 Invoker servlets authentication bypass (HTTP verb tampering)
CVE-2011-4085 Invoker servlets authentication bypass (HTTP verb tampering)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111116,reported=2...
: Security
Depends On:
Blocks: 750424
  Show dependency treegraph
 
Reported: 2011-10-31 23:55 EDT by David Jorm
Modified: 2014-10-20 20:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 02:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2011-10-31 23:55:35 EDT
By using a specially crafted HTTP request, the first layer of authentication for the invoker servlets deployed by httpha-invoker can be bypassed, as the access restrictions only apply for GET and POST. Due to the second layer of authentication provided by the security interceptor, there is no way to directly exploit this flaw. If a user misconfigured the security interceptor or inadvertently disabled it, this flaw would be exploitable.

The fix is to remove the verb-specific <http-method> elements from web.xml. This issue is a regression of CVE-2010-0738.
Comment 4 errata-xmlrpc 2011-11-16 18:55:12 EST
This issue has been addressed in following products:

JBoss Enterprise SOA Platform 5.2.0

Via RHSA-2011:1456 https://rhn.redhat.com/errata/RHSA-2011-1456.html
Comment 5 errata-xmlrpc 2011-12-08 14:16:35 EST
This issue has been addressed in following products:

  JBEAP 5 for RHEL 6

Via RHSA-2011:1798 https://rhn.redhat.com/errata/RHSA-2011-1798.html
Comment 6 errata-xmlrpc 2011-12-08 14:36:52 EST
This issue has been addressed in following products:

  JBEAP 5 for RHEL 5

Via RHSA-2011:1799 https://rhn.redhat.com/errata/RHSA-2011-1799.html
Comment 7 errata-xmlrpc 2011-12-08 14:47:30 EST
This issue has been addressed in following products:

  JBEAP 5 for RHEL 4

Via RHSA-2011:1800 https://rhn.redhat.com/errata/RHSA-2011-1800.html
Comment 8 errata-xmlrpc 2011-12-08 15:08:48 EST
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.1.2

Via RHSA-2011:1805 https://rhn.redhat.com/errata/RHSA-2011-1805.html
Comment 9 errata-xmlrpc 2011-12-14 19:06:52 EST
This issue has been addressed in following products:

JBoss Enterprise Portal Platform 5.2.0

Via RHSA-2011:1822 https://rhn.redhat.com/errata/RHSA-2011-1822.html
Comment 10 errata-xmlrpc 2012-02-02 17:20:14 EST
This issue has been addressed in following products:

  JBoss Enterprise Portal Platform 4.3 CP07

Via RHSA-2012:0091 https://rhn.redhat.com/errata/RHSA-2012-0091.html
Comment 11 errata-xmlrpc 2012-06-21 21:21:31 EDT
This issue has been addressed in following products:

  JBoss Enterprise BRMS Platform 5.3.0

Via RHSA-2012:1028 https://rhn.redhat.com/errata/RHSA-2012-1028.html

Note You need to log in before you can comment on or make changes to this bug.